"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDelayRender = void 0;
const react_1 = require("react");
const delay_render_js_1 = require("./delay-render.js");
/**
 * @description Same as delayRender(), but as a hook.
 * @see [Documentation](https://remotion.dev/docs/use-delay-render)
 */
const useDelayRender = (label) => {
    const [handle] = (0, react_1.useState)(() => (0, delay_render_js_1.delayRender)(label));
    return (0, react_1.useCallback)(() => {
        (0, delay_render_js_1.continueRender)(handle);
    }, [handle]);
};
exports.useDelayRender = useDelayRender;
